%global momorel 2
%global md5sum_src0 c056abd763e899114bf745c9eedbf9ad
%global md5sum_src1 3b66b3268df12ca8a6c4e0c4c457912c

# Architechture specific configuration
%ifarch %{ix86}
%define with_dri 1
%define dri_target linux-dri-x86
%endif

%ifarch x86_64
%define with_dri 1
%define dri_target linux-dri-x86-64
%endif

%ifarch ia64 alpha sparc sparc64
%define with_dri 1
%define dri_target linux-dri
%endif

%ifarch ppc
%define with_dri 1
%define dri_target linux-dri-ppc
%endif

# Define arches to make with_dri disabled by default
%ifarch ppc64 s390 s390x
%define with_dri 0
%define dri_target linux-indirect
%endif

#-- END DRI Build Configuration ------------------------------------------

Summary: Mesa graphics libraries
Name: mesa
Version: 7.0.1
Release: %{momorel}m%{?dist}
License: MIT/X
Group: System Environment/Libraries
URL: http://www.mesa3d.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%NoSource 0 http://dl.sourceforge.net/sourceforge/mesa3d/MesaLib-%{version}.tar.bz2 %{md5sum_src0}
%NoSource 1 http://dl.sourceforge.net/sourceforge/mesa3d/MesaDemos-%{version}.tar.bz2 %{md5sum_src1}

# Patches 0-9 reserved for mesa Makefiles/config fixes
Patch0: mesa-7.0-build-config.patch
Patch4: mesa-6.5-dont-libglut-me-harder-ok-thx-bye.patch

Patch12: mesa-modular-dri-dir.patch
Patch14: mesa-6.5-drop-static-inline.patch
Patch18: mesa-7.0-selinux-awareness.patch
Patch22: mesa-6.5.2-hush-synthetic-visual-warning.patch
Patch23: mesa-6.5.2-bindcontext-paranoia.patch
Patch24: mesa-7.0-i-already-defined-glapi-you-twit.patch
Patch25: mesa-7.0-symlinks-before-depend.patch

Patch200: Mesa-6.5.3-alt-openchrome.patch

Patch301: Mesa-6.5.3-git-i915-945GME.patch
Patch302: Mesa-6.5.3-git-i915tex-945GME.patch
Patch303: Mesa-6.5.3-git-i965-965GME.patch
Patch304: Mesa-6.5.3-git-i915-G33_Q33_Q35.patch

BuildRequires: pkgconfig
BuildRequires: libdrm-devel >= 2.3.0-8
BuildRequires: libXxf86vm-devel
BuildRequires: expat-devel
BuildRequires: xorg-x11-proto-devel >= 7.0-3
BuildRequires: libXdamage-devel

BuildRequires: openmotif-devel

%description
Mesa

#-- libGL ------------------------------------------------------------
%package libGL
Summary: Mesa libGL runtime libraries and DRI drivers
Group: System Environment/Libraries

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Provides: libGL
Obsoletes: Mesa, XFree86-libs, XFree86-Mesa-libGL, xorg-x11-Mesa-libGL 

%description libGL
Mesa libGL runtime libraries and DRI drivers.

#-- libGL ------------------------------------------------------------
%package libGL-devel
Summary: Mesa libGL development package
Group: Development/Libraries
Requires: mesa-libGL = %{version}-%{release}
Requires: libX11-devel

Provides: libGL-devel
Obsoletes: Mesa-devel, XFree86-devel, xorg-x11-devel

%description libGL-devel
Mesa libGL development package

#-- libGLU -----------------------------------------------------------
%package libGLU
Summary: Mesa libGLU runtime library
Group: System Environment/Libraries

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Provides: libGLU

Obsoletes: Mesa, XFree86-libs, XFree86-Mesa-libGLU, xorg-x11-Mesa-libGLU, xorg-x11-libs

%description libGLU
Mesa libGLU runtime library

#-- libGLU-devel -----------------------------------------------------
%package libGLU-devel
Summary: Mesa libGLU development package
Group: Development/Libraries
Requires: mesa-libGLU = %{version}-%{release}
Requires: libGL-devel

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Provides: libGLU-devel

Obsoletes: Mesa-devel, XFree86-devel, xorg-x11-devel

%description libGLU-devel
Mesa libGLU development package

#-- libGLw -----------------------------------------------------------
%package libGLw
Summary: Mesa libGLw runtime library
Group: System Environment/Libraries

Provides: libGLw

Obsoletes: Mesa, XFree86-libs, xorg-x11-libs

%description libGLw
Mesa libGLw runtime library

#-- libGLw-devel -----------------------------------------------------
%package libGLw-devel
Summary: Mesa libGLw development package
Group: Development/Libraries
Requires: libGLw = %{version}-%{release}

Provides: libGLw-devel
Obsoletes: Mesa-devel, XFree86-devel, xorg-x11-devel

%description libGLw-devel
Mesa libGLw development package

#-- libOSMesa -----------------------------------------------------------
%package libOSMesa
Summary: Mesa offscreen rendering libraries
Group: System Environment/Libraries

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Provides: libOSMesa

%description libOSMesa
Mesa offscreen rendering libraries

#-- libOSMesa-devel -----------------------------------------------------
%package libOSMesa-devel
Summary: Mesa offscreen rendering development package
Group: Development/Libraries
Requires: mesa-libOSMesa = %{version}-%{release}

%description libOSMesa-devel
Mesa offscreen rendering development package

#-- source -----------------------------------------------------------
%package source
Summary: Mesa source code required to build X server
Group: Development/Libraries

%description source
The mesa-source package provides the minimal source code needed to
build DRI enabled X servers, etc.

#-- glx-utils --------------------------------------------------------
%package -n glx-utils
Summary: GLX utilities
Group: Development/Libraries

%description -n glx-utils
The glx-utils package provides the glxinfo and glxgears utilities.

#-- prep -------------------------------------------------------------
%prep
%setup -q -n Mesa-%{version} -b1

%patch0 -p1 -b .build-config
%patch4 -p0 -b .dont-libglut-me-harder-ok-thx-bye

%patch14 -p0 -b .drop-static-inline
%patch18 -p1 -b .selinux-awareness

%patch22 -p1 -b .visual-warning
%patch23 -p1 -b .bindcontext
%patch24 -p1 -b .glapi
%patch25 -p1 -b .makej

%patch200 -p1

%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1

# WARNING: The following files are copyright "Mark J. Kilgard" under the GLUT
# license and are not open source/free software, so we remove them.
rm -f include/GL/uglglutshapes.h

#-- Build ------------------------------------------------------------
%build
export OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fvisibility=hidden"
%ifarch ppc64 s390 s390x
    export OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's/-O[0-9]//g'`
%endif
export DRI_DRIVER_DIR="%{_libdir}/dri"
export LIB_DIR=%{_lib}

mkdir preserve

for t in osmesa osmesa16 osmesa32; do
    echo "Building $t"
    make %{?_smp_mflags} linux-$t
    mv %{_lib}/* preserve
    mv src/mesa/depend src-mesa-depend
    make -s realclean
    mv src-mesa-depend src/mesa/depend 
done

echo "Building %{dri_target}"
make %{?_smp_mflags} %{dri_target}
make -C progs/xdemos glxgears glxinfo
mv preserve/* %{_lib}
ln -s libOSMesa.so.6 %{_lib}/libOSMesa.so
ln -s libOSMesa16.so.6 %{_lib}/libOSMesa16.so
ln -s libOSMesa32.so.6 %{_lib}/libOSMesa32.so

#-- Install ----------------------------------------------------------
%install
rm -rf --preserve-root %{buildroot}
# The mesa build system is broken beyond repair.  The lines below just
# handpick and manually install the parts we want.

install -d $RPM_BUILD_ROOT%{_includedir}/GL
install -m 644 include/GL/*.h $RPM_BUILD_ROOT%{_includedir}/GL
# install -d $RPM_BUILD_ROOT%{_includedir}/GL/internal
# install -m 644 include/GL/internal/dri_interface.h $RPM_BUILD_ROOT%{_includedir}/GL/internal


install -d $RPM_BUILD_ROOT%{_libdir}
cp -d -f %{_lib}/lib* $RPM_BUILD_ROOT%{_libdir}
install -d $RPM_BUILD_ROOT%{_bindir}
install -m 0755 progs/xdemos/glxgears $RPM_BUILD_ROOT%{_bindir}
install -m 0755 progs/xdemos/glxinfo $RPM_BUILD_ROOT%{_bindir}

make -C src/glw install INSTALL_DIR=$RPM_BUILD_ROOT%{_prefix} LIB_DIR=%{_lib}

%if %{with_dri}
install -d %{buildroot}/%{_libdir}/dri
for f in i810 i915 i965 mga r128 r200 r300 radeon savage sis tdfx unichrome nouveau ; do
    so=%{_lib}/${f}_dri.so
    test -e $so && echo $so
done | xargs install -m 0755 -t $RPM_BUILD_ROOT%{_libdir}/dri >& /dev/null || :

%endif

# Run custom source filelist generator script, passing it a prefix
%define mesa_source_filelist mesa-source-rpm-filelist.lst
%define mesasourcedir %{_datadir}/mesa/source

mkdir -p $RPM_BUILD_ROOT/%{mesasourcedir}
  	 ( find src -name \*.[ch] ; find include -name \*.h ) |
  	     egrep -v '^src/(glu|glw)' |
  	     egrep -v '^src/mesa/drivers/(directfb|dos|fbdev|glide|ggi|osmesa)' |
  	     egrep -v '^src/mesa/drivers/(windows|dri/[^c])' |
  	     xargs tar cf - --mode a=r |
  	         (cd $RPM_BUILD_ROOT/%{mesasourcedir} && tar xf -)

#-- Clean ------------------------------------------------------------
%clean
rm -rf --preserve-root %{buildroot}

#-- Check ------------------------------------------------------------
%check

%post libGL -p /sbin/ldconfig
%postun libGL -p /sbin/ldconfig
%post libGLU -p /sbin/ldconfig
%postun libGLU -p /sbin/ldconfig
%post libGLw -p /sbin/ldconfig
%postun libGLw -p /sbin/ldconfig
%post libOSMesa -p /sbin/ldconfig
%postun libOSMesa -p /sbin/ldconfig

%files libGL
%defattr(-,root,root,-)
%{_libdir}/libGL.so.1
%{_libdir}/libGL.so.1.2

%if %{with_dri}
# DRI modules
%dir %{_libdir}/dri
# We only install drivers that get build and are in our white list so
# we can just glob here.
%{_libdir}/dri/*_dri.so
%endif

%files libGL-devel
%defattr(-,root,root,-)
%{_includedir}/GL/amesa.h
%{_includedir}/GL/dmesa.h
%{_includedir}/GL/fxmesa.h
%{_includedir}/GL/ggimesa.h
%{_includedir}/GL/gl.h
%{_includedir}/GL/gl_mangle.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/glfbdev.h
%{_includedir}/GL/glx.h
%{_includedir}/GL/glx_mangle.h
%{_includedir}/GL/glxext.h
%{_includedir}/GL/mesa_wgl.h
%{_includedir}/GL/mglmesa.h
%{_includedir}/GL/svgamesa.h
%{_includedir}/GL/uglmesa.h
%{_includedir}/GL/vms_x_fix.h
%{_includedir}/GL/wmesa.h
%{_includedir}/GL/xmesa.h
%{_includedir}/GL/xmesa_x.h
%{_includedir}/GL/xmesa_xf86.h
#%{_includedir}/GL/internal/dri_interface.h 
%{_libdir}/libGL.so

%files libGLU
%defattr(-,root,root,-)
%{_libdir}/libGLU.so.1
%{_libdir}/libGLU.so.1.3.*

%files libGLU-devel
%defattr(-,root,root,-)
%{_libdir}/libGLU.so
%{_includedir}/GL/glu.h
%{_includedir}/GL/glu_mangle.h

%files libGLw
%defattr(-,root,root,-)
%{_libdir}/libGLw.so.1
%{_libdir}/libGLw.so.1.0.0

%files libGLw-devel
%defattr(-,root,root,-)
%{_libdir}/libGLw.so
%{_includedir}/GL/GLwDrawA.h
%{_includedir}/GL/GLwDrawAP.h
%{_includedir}/GL/GLwMDrawA.h
%{_includedir}/GL/GLwMDrawAP.h

%files libOSMesa
%defattr(-,root,root,-)
%{_libdir}/libOSMesa.so.6
%{_libdir}/libOSMesa.so.6.5.3
%{_libdir}/libOSMesa16.so.6
%{_libdir}/libOSMesa16.so.6.5.3
%{_libdir}/libOSMesa32.so.6
%{_libdir}/libOSMesa32.so.6.5.3

%files libOSMesa-devel
%defattr(-,root,root,-)
%{_includedir}/GL/osmesa.h
%{_libdir}/libOSMesa.so
%{_libdir}/libOSMesa16.so
%{_libdir}/libOSMesa32.so

%files source
%{mesasourcedir}
%defattr(-,root,root,-)

%files -n glx-utils
%defattr(-,root,root,-)
%{_bindir}/glxgears
%{_bindir}/glxinfo

%changelog
* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (7.0.1-2m)
- update mesa-7.0-build-config.patch
-- add -fvisibility=hidden option

* Mon Aug  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (7.0.1-1m)
- update 7.0.1

* Sat Jul 28 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (7.0-4m)
- corrected that link was wrong
-- http://pc11.2ch.net/test/read.cgi/linux/1092539027/952

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (7.0-3m)
- optimization option was invalidated in power architecture.

* Tue Jul  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (7.0-2m)
- support any Intel Chips. import from Alt Linux
-- Patch301: Mesa-6.5.3-git-i915-945GME.patch
-- Patch302: Mesa-6.5.3-git-i915tex-945GME.patch
-- Patch303: Mesa-6.5.3-git-i965-965GME.patch
-- Patch304: Mesa-6.5.3-git-i915-G33_Q33_Q35.patch

* Sat Jun 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (7.0-1m)
- update 7.0-release

* Mon Jun 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (7.0-0.1m)
- update 7.0-20070618

* Sun Apr 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.3-0.2m)
- update 6.5.3-Release

* Sun Apr 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.3-0.2m)
- update 6.5.3RC2(20070422)

* Fri Apr 20 2007 zunda <zunda at freeshell.org>
- (kossori)
- Added BuildRequires: libXdamage-devel
- Modified build sequence to preserve src/mesa/depend which is
  needed by src/mesa/Makefile but erased with make -s realclean

* Thu Apr 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.3-0.1m)
- update 6.5.3pre(20070412)

* Tue Mar 13 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.2-8m)
- update 20070313
- fix undefined reference to `glXGetCurrentContext' 
-- (mesa-6.5.2-libgl-visibility.patch)

* Sat Mar  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.2-7m)
- update 20070303
- use parallel build
- cleanup spec

* Wed Feb  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.2-6m)
- update 20070206

* Thu Jan 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.2-5m)
- update 20070110

* Sun Dec 31 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.2-4m)
- update 20061231
- support nouveau(OSS nVidia Driver)

* Fri Dec 29 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (6.5.2-3m)
- modified mesa-6.5.1-build-config.patch for lib64

* Fri Dec 29 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.2-2m)
- revival mesa-libGLw*

* Wed Dec  6 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.2-1m)
- update 6.5.2

* Mon Sep 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.1-1m)
- update 6.5.1

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (6.5.1-0.2m)
- rebuild against expat-2.0.0-1m

* Mon Aug 21 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5.1-0.1m)
- update 6.5.1-20060820(CVS)
- Add i965 driver(http://intellinuxgraphics.org/) 

* Thu Jun 29 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5-3m)
- add patch
-- Patch9: mesa-6.5-tfp-fbconfig-attribs.patch

* Tue Jun 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5-2m)
- add patch
-- Patch6: mesa-6.5-noexecstack.patch
-- Patch7: mesa-6.5-force-r300.patch
-- Patch8: mesa-6.5-fix-pbuffer-dispatch.patch

* Thu Apr  6 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (6.5-1m)
- sync FC-devel
- * Sat Apr  1 2006 Kristia <krh redhat com> 6.5-1
- - Update to mesa 6.5 snapshot.
- - Use -MG for generating deps and some files aren't yet symlinked at
-   make depend time.
- - Drop mesa-6.4.2-dprintf-to-debugprintf-for-bug180122.patch and
-   mesa-6.4.2-xorg-server-uses-bad-datatypes-breaking-AMD64-fdo5835.patch
-   as these are upstream now.
- - Drop mesa-6.4.1-texture-from-drawable.patch and add
-   mesa-6.5-texture-from-pixmap-fixes.patch.
- - Update mesa-modular-dri-dir.patch to apply.
- - Widen libGLU glob.
- - Reenable r300 driver install.
- - Widen libOSMesa glob.
- - Go back to patching config/linux-dri, add mesa-6.5-build-config.patch,
-   drop mesa-6.3.2-build-configuration-v4.patch.
- - Disable sis dri driver for now, only builds on x86 and x86-64.

* Sun Mar 26 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (6.4.2-6m)
- enable ppc64

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (6.4.2-5m)
- To trunk

*  Sun Mar 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (6.4.2-4.2m)
- commentout Patch200

* Wed Mar  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (6.4.2-4.1m)
- commentout obsolete

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (6.4.2-4m)
- import to Momonga

* Wed Feb 22 2006 Adam Jackson <ajackson@redhat.com> 6.4.2-4
- rebuilt

* Sun Feb 19 2006 Ray Strode <rstrode@redhat.com> 6.4.2-3
- enable texture-from-drawable patch
- add glut-devel dependency

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 6.4.2-2.1
- bump again for double-long bug on ppc(64)

* Tue Feb  7 2006 Mike A. Harris <mharris@redhat.com> 6.4.2-2
- Added new "glx-utils" subpackage with glxgears and glxinfo (#173510)
- Added mesa-6.4.2-dprintf-to-debugprintf-for-bug180122.patch to workaround
  a Mesa namespace conflict with GNU_SOURCE (#180122)
- Added mesa-6.4.2-xorg-server-uses-bad-datatypes-breaking-AMD64-fdo5835.patch
  as an attempt to fix bugs (#176976,176414,fdo#5835)
- Enabled inclusion of the *EXPERIMENTAL UNSUPPORTED* r300 DRI driver on
  x86, x86_64, and ppc architectures, however the 2D Radeon driver will soon
  be modified to require the user to manually turn experimental DRI support
  on with Option "dri" in xorg.conf to test it out and report all X bugs that
  occur while using it directly to X.Org bugzilla.  (#179712)
- Use "libOSMesa.so.6.4.0604*" glob in file manifest, to avoid having to
  update it each upstream release.

* Sat Feb  4 2006 Mike A. Harris <mharris@redhat.com> 6.4.2-1
- Updated to Mesa 6.4.2
- Use "libGLU.so.1.3.0604*" glob in file manifest, to avoid having to update it
  each upstream release.

* Tue Jan 24 2006 Mike A. Harris <mharris@redhat.com> 6.4.1-5
- Added missing "BuildRequires: expat-devel" for bug (#178525)
- Temporarily disabled mesa-6.4.1-texture-from-drawable.patch, as it fails
  to compile on at least ia64, and possibly other architectures.

* Tue Jan 17 2006 Kristian Høgsberg <krh@redhat.com> 6.4.1-4
- Add mesa-6.4.1-texture-from-drawable.patch to implement protocol
  support for GLX_EXT_texture_from_drawable extension.

* Sat Dec 24 2005 Mike A. Harris <mharris@redhat.com> 6.4.1-3
- Manually copy libGLw headers that Mesa forgets to install, to fix (#173879).
- Added mesa-6.4.1-libGLw-enable-motif-support.patch to fix (#175251).
- Removed "Conflicts" lines from libGL package, as they are "Obsoletes" now.
- Do not rename swrast libGL .so version, as it is the OpenGL version.

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 6.4.1-2
- Rebuild to ensure libGLU gets rebuilt with new gcc with C++ compiler fixes.
- Changed the 3 devel packages to use Obsoletes instead of Conflicts for the
  packages the files used to be present in, as this is more friendy for
  OS upgrades.
- Added "Requires: libX11-devel" to mesa-libGL-devel package (#173712)
- Added "Requires: libGL-devel" to mesa-libGLU-devel package (#175253)

* Sat Dec 17 2005 Mike A. Harris <mharris@redhat.com> 6.4.1-1
- Updated MesaLib tarball to version 6.4.1 from Mesa project for X11R7 RC4.
- Added pkgconfig dependency.
- Updated "BuildRequires: libdrm-devel >= 2.0-1"
- Added Obsoletes lines to all the subpackages to have cleaner upgrades.
- Added mesa-6.4.1-amd64-assyntax-fix.patch to work around a build problem on
  AMD64, which is fixed in the 6.4 branch of Mesa CVS.
- Conditionalize libOSMesa inclusion, and default to not including it for now.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> 6.4-5.1
- rebuilt

* Sun Nov 20 2005 Jeremy Katz <katzj@redhat.com> 6.4-5
- fix directory used for loading dri modules (#173679)
- install dri drivers as executable so they get stripped (#173292)

* Thu Nov 3 2005 Mike A. Harris <mharris@redhat.com> 6.4-4
- Wrote redhat-mesa-source-filelist-generator to dynamically generate the
  files to be included in the mesa-source subpackage, to minimize future
  maintenance.
- Fixed detection and renaming of software mesa .so version.

* Wed Nov 2 2005 Mike A. Harris <mharris@redhat.com> 6.4-3
- Hack: autodetect if libGL was given .so.1.5* and rename it to 1.2 for
  consistency on all architectures, and to avoid upgrade problems if we
  ever disable DRI on an arch and then re-enable it later.

* Wed Nov 2 2005 Mike A. Harris <mharris@redhat.com> 6.4-2
- Added mesa-6.4-multilib-fix.patch to instrument and attempt to fix Mesa
  bin/installmesa script to work properly with multilib lib64 architectures.
- Set and export LIB_DIR and INCLUDE_DIR in spec file 'install' section,
  and invoke our modified bin/installmesa directly instead of using
  "make install".
- Remove "include/GL/uglglutshapes.h", as it uses the GLUT license, and seems
  like an extraneous file anyway.
- Conditionalize the file manifest to include libGL.so.1.2 on DRI enabled
  builds, but use libGL.so.1.5.060400 instead on DRI disabled builds, as
  this is how upstream builds the library, although it is not clear to me
  why this difference exists yet (which was not in Xorg 6.8.2 Mesa).

* Thu Oct 27 2005 Mike A. Harris <mharris@redhat.com> 6.4-1
- Updated to new upstream MesaLib-6.4
- Updated libGLU.so.1.3.060400 entry in file manifest
- Updated "BuildRequires: libdrm-devel >= 1.0.5" to pick up fixes for the
  unichrome driver.

* Tue Sep 13 2005 Mike A. Harris <mharris@redhat.com> 6.3.2-6
- Fix redhat-mesa-driver-install and spec file to work right on multilib
  systems.
  
* Mon Sep 5 2005 Mike A. Harris <mharris@redhat.com> 6.3.2-5
- Fix mesa-libGL-devel to depend on mesa-libGL instead of mesa-libGLU.
- Added virtual "Provides: libGL..." entries for each subpackage as relevant.

* Mon Sep 5 2005 Mike A. Harris <mharris@redhat.com> 6.3.2-4
- Added the mesa-source subpackage, which contains part of the Mesa source
  code needed by other packages such as the X server to build stuff.

* Mon Sep 5 2005 Mike A. Harris <mharris@redhat.com> 6.3.2-3
- Added Conflicts/Obsoletes lines to all of the subpackages to make upgrades
  from previous OS releases, and piecemeal upgrades work as nicely as
  possible.

* Mon Sep 5 2005 Mike A. Harris <mharris@redhat.com> 6.3.2-2
- Wrote redhat-mesa-target script to simplify mesa build target selection.
- Wrote redhat-mesa-driver-install to install the DRI drivers and simplify
  per-arch conditionalization, etc.

* Sun Sep 4 2005 Mike A. Harris <mharris@redhat.com> 6.3.2-1
- Initial build.
